<?php
/**
 * Webkul Software
 *
 * @category  Webkul
 * @package   Webkul_MpBuyerSellerChatApi
 * @author    Webkul
 * @copyright Copyright (c) Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\MpBuyerSellerChatApi\Model;

use Webkul\MpBuyerSellerChatApi\Api\Data\CustomerInterface;

class Customer extends \Magento\Framework\DataObject implements CustomerInterface
{
    /**
     * Get ID
     *
     * @return int|null
     */
    public function getId()
    {
        return $this->getData(self::ID);
    }

    /**
     * Set ID
     *
     * @param int
     * @return int $id
     */
    public function setId($id)
    {
        return $this->setData(self::ID, $id);
    }

    /**
     * Get Name
     *
     * @return string|null
     */
    public function getName()
    {
        return $this->getData(self::NAME);
    }
     
    /**
     * Set Name
     * @param string
     * @return string $name
     */
    public function setName($name)
    {
        return $this->setData(self::NAME, $name);
    }

    /**
     * Get Email
     *
     * @return string|null
     */
    public function getEmail()
    {
        return $this->getData(self::EMAIL);
    }
     
    /**
     * Set Email
     * @param string
     * @return string $email
     */
    public function setEmail($email)
    {
        return $this->setData(self::EMAIL, $email);
    }

    /**
     * Get Token
     *
     * @return string|null
     */
    public function getToken()
    {
        return $this->getData(self::TOKEN);
    }
     
    /**
     * Set Token
     * @param string
     * @return string $token
     */
    public function setToken($token)
    {
        return $this->setData(self::TOKEN, $token);
    }

    /**
     * Get is blocked
     *
     * @return boolean|null
     */
    public function getIsBlocked()
    {
        return $this->getData(self::IS_BLOCKED);
    }
     
    /**
     * Set is blocked
     * @param boolean
     * @return boolean $blocked
     */
    public function setIsBlocked($blocked)
    {
        return $this->setData(self::IS_BLOCKED, $blocked);
    }


    /**
     * Get Status
     *
     * @return integer|null
     */
    public function getStatus()
    {
        return $this->getData(self::STATUS);
    }
     
    /**
     * Set Token
     * @param integer
     * @return integer $status
     */
    public function setStatus($status)
    {
        return $this->setData(self::STATUS, $status);
    }

    /**
     * Get Unique Id
     *
     * @return string|null
     */
    public function getUniqueId()
    {
        return $this->getData(self::UNIQUE_ID);
    }
     
    /**
     * Set Unique Id
     * @param string
     * @return string $uniqueId
     */
    public function setUniqueId($uniqueId)
    {
        return $this->setData(self::UNIQUE_ID, $uniqueId);
    }

    /**
     * Get Status
     *
     * @return string|null
     */
    public function getProfileImage()
    {
        return $this->getData(self::PROFILE_IMAGE);
    }
     
    /**
     * Set Token
     * @param string
     * @return string $profileImage
     */
    public function setProfileImage($profileImage)
    {
        return $this->setData(self::PROFILE_IMAGE, $profileImage);
    }

    /**
     * Get Customer Token
     *
     * @return string|null
     */
    public function getCustomerToken()
    {
        return $this->getData(self::CUSTOMER_TOKEN);
    }
     
    /**
     * Set Customer Token
     * @param string
     * @return string $customerToken
     */
    public function setCustomerToken($customerToken)
    {
        return $this->setData(self::CUSTOMER_TOKEN, $customerToken);
    }
}
